Subject: Ð½Ðµ Ñ•Ð¾Ð±Ð¸Ñ€Ð°ÐµÑ‚Ñ•Ñ•  virtualbox-guest-additions-5.1.14

Description: <pre>

                                            ^

/lib/modules/4.9.8-calculate/build/arch/x86/include/asm/string_64.h:103:6: note: in expansion of macro 

â€˜static_branch_unlikelyâ€™

  if (static_branch_unlikely(&mcsafe;_key))

      ^

/lib/modules/4.9.8-calculate/build/include/linux/jump_label.h:297:48: error: expected primary-expression 

before â€˜structâ€™

      !__builtin_types_compatible_p(typeof(*x), struct static_key_false)) \

                                                ^

/lib/modules/4.9.8-calculate/build/include/linux/compiler.h:168:42: note: in definition of macro 

â€˜unlikelyâ€™

 # define unlikely(x) __builtin_expect(!!(x), 0)

                                          ^

/lib/modules/4.9.8-calculate/build/include/linux/jump_label.h:387:44: note: in expansion of macro 

â€˜static_key_enabledâ€™

 #define static_branch_unlikely(x) unlikely(static_key_enabled(&(x)->key))

                                            ^

/lib/modules/4.9.8-calculate/build/arch/x86/include/asm/string_64.h:103:6: note: in expansion of macro 

â€˜static_branch_unlikelyâ€™

  if (static_branch_unlikely(&mcsafe;_key))

      ^

kmk: *** 

[/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14/out/linux.a

md64/release/obj/RuntimeGuestR0/common/alloc/alloc.o] Error 1

kmk: *** 

[/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14/out/linux.a

md64/release/obj/RuntimeGuestR0/common/alloc/heapoffset.o] Error 1

kmk_builtin_append -n 

"/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14/out/linux.a

md64/release/obj/RuntimeGuestR0/common/checksum/crc64.o.dep" "" 

"/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14/src/VBox/R

untime/common/checksum/crc64.cpp:" ""

kmk: *** Exiting with status 2

 * ERROR: app-emulation/virtualbox-guest-additions-5.1.14::gentoo failed (compile phase):

 *   emake failed

 * 

 * If you need support, post the output of `emerge --info 

'=app-emulation/virtualbox-guest-additions-5.1.14::gentoo'`,

 * the complete build log and the output of `emerge -pqv 

'=app-emulation/virtualbox-guest-additions-5.1.14::gentoo'`.

 * The complete build log is located at 

'/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/temp/build.log'.

 * The ebuild environment file is located at 

'/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/temp/environment'.

 * Working directory: 
'/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14'

 * S: '/var/calculate/tmp/portage/app-emulation/virtualbox-guest-additions-5.1.14/work/VirtualBox-5.1.14'



 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ Ñ•Ð¾Ð±Ñ€Ð°Ñ‚ÑŒ app-emulation/virtualbox-guest-additions-5.1.14::gentoo

 * Ð•Ðµ ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ Ð¾Ð±Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ

</pre>

History

02/15/2017 06:40 am - Alexander Tratsevskiy

ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ•Ð±Ð¾Ñ€ÐºÐ¸ Ð¿Ð°ÐºÐµÑ‚Ð° Ñ• Ñ•Ð´Ñ€Ð¾Ð¼ 4.9. Ðš Ñ•Ð¾Ð¶Ð°Ð»ÐµÐ½Ð¸ÑŽ Ñ€ÐµÑˆÐ¸Ñ‚ÑŒ Ð¿Ð¾ÐºÐ° Ð½Ðµ 

ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ. Ð•Ð´Ð¸Ð½Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð°Ñ• Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾Ñ•Ñ‚ÑŒ Ñ•Ñ‚Ð¾ Ð¾Ñ‚ÐºÐ°Ñ‚Ð¸Ñ‚ÑŒÑ•Ñ• Ð½Ð° Ñ•Ð´Ñ€Ð¾ 4.4.

05/31/2017 01:56 pm - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Alexander Tratsevskiy wrote:

> ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ•Ð±Ð¾Ñ€ÐºÐ¸ Ð¿Ð°ÐºÐµÑ‚Ð° Ñ• Ñ•Ð´Ñ€Ð¾Ð¼ 4.9. Ðš Ñ•Ð¾Ð¶Ð°Ð»ÐµÐ½Ð¸ÑŽ Ñ€ÐµÑˆÐ¸Ñ‚ÑŒ Ð¿Ð¾ÐºÐ° Ð½Ðµ 

ÑƒÐ´Ð°Ð»Ð¾Ñ•ÑŒ. Ð•Ð´Ð¸Ð½Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð°Ñ• Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾Ñ•Ñ‚ÑŒ Ñ•Ñ‚Ð¾ Ð¾Ñ‚ÐºÐ°Ñ‚Ð¸Ñ‚ÑŒÑ•Ñ• Ð½Ð° Ñ•Ð´Ñ€Ð¾ 4.4.



Ð½Ð°Ñ•ÐºÐ¾Ð»ÑŒÐºÐ¾ Ñ• Ð¿Ð¾Ð¼Ð½ÑŽ, Ð±Ð°Ð³ Ð¼Ð¾Ð¶Ð½Ð¾ Ð·Ð°ÐºÑ€Ñ‹Ð²Ð°Ñ‚ÑŒ

05/31/2017 02:20 pm - Alexander Tratsevskiy

- Status changed from New to Closed
